function [coeff_table,gumby_aks] = Gumbel(x_min)

%% Makes Gumbel data

%Cumulative distributution
[Nsmalest_responce Nanalyses] = size(x_min(2:end,:));
N=Nsmalest_responce;
i=1:Nsmalest_responce;
Fx=i./(Nsmalest_responce+1); 

%Construct y-axsis
gumby_aks=log(-log(1-Fx));

%% Finds the coefficies for all the responses:(a and b)
 for j = 1:Nanalyses
     a=cell2mat(x_min(2:end,j));
     mean_exdata(j) = mean(a);   %Mean of extreme responce
     std_exdata(j) = std(a);     %Standard dev. extreme responce 

%Appendix F, Statoil(Haver)
%but valid when m goes towards infinity.
     beta_G(j) =  std_exdata(j)/1.28255;      
     alpha_G(j) = mean_exdata(j) + 0.57722*beta_G(j);

    coeff_table(1,1+(j-1)*2) = x_min(1,j);  
    coeff_table{1,2+(j-1)*2} = 0;
    coeff_table(2,1+(j-1)*2) = {'alpha'};
    coeff_table(2,2+(j-1)*2) ={'beta'};
    
    coeff_table{3,1+(j-1)*2} = alpha_G(j);
    coeff_table{3,2+(j-1)*2} = beta_G(j);
     
 end

end
