


function [F_monitor_201, F_monitor_201_max,F_monitor_201_min,x_min]=force(Result)

[aa bb] = size(char(Result.name));
F_monitor_201=zeros(aa,length(Result(end).values.forces(1).value));


dt = Result(1).values.time(2)-Result(1).values.time(1);


%% lag en sort funksjon som finner Force in monitor
%%%%%%%%%%%
%%

for i=1:aa
    
    for j=1:length(Result(i).values.forces(1).value)
        F_monitor_201(i,j) = Result(i).values.forces(1).value(j);
    end
end


for i=1:length(F_monitor_201(:,1))
    a=length(Result(i).values.forces(1).value);
    dt = Result(i).values.time(2)-Result(i).values.time(1);
    start = floor(20/dt);
    
    F_monitor_201_max(i) = max(F_monitor_201(i,start:a));
    F_monitor_201_min(i) = min(F_monitor_201(i,start:a));
    I_max(i)= find(Result(i).values.forces(1).value==F_monitor_201_max(i));
    I_min(i)= find(Result(i).values.forces(1).value==F_monitor_201_min(i));
end

b = char(Result.name);
fileID=fopen('result_psotpro.dat','w');
fprintf(fileID,'analyse\tForce_max\tTime\tForce_min\tTime\n');
for i=1:length(F_monitor_201_max)
    fprintf(fileID,'%s\t%f\t%f\t%f\t%f\n',b(i,:),F_monitor_201_max(i),Result(i).values.time(I_max(i)),F_monitor_201_min(i),Result(i).values.time(I_min(i)));
end
fclose(fileID);

if aa>1
    
    
    F_max_min = {'Analyse', 'F_max', 'F_min'};
    
    for i=1:aa
        F_max_min{1+i,1} = char(Result(i).name);
        F_max_min{1+i,2} = F_monitor_201_max(i);
        F_max_min{1+i,3} = F_monitor_201_min(i);
    end
    
    k=0;
    g=1;
    for i=2:aa
        %% Sort after analyse
        f1 = char(F_max_min(i,1));
        f2 = char(F_max_min(i+1,1));
        if (strcmp(f1(1:end-3),f2(1:end-3)) == 1)
            k=1+k;
            x_min{1,g} = f1(1:end-7);
            x_min(k+1,g) = F_max_min(i,3);
            x_min(k+2,g)=F_max_min(i+1,3);
        else
            g=g+1;
            k=0;
        end
    end
    
    
    temp=cell2mat(x_min(2:end,:));
    
    %temp2 = sort(temp,1,'descend');
    temp2 = sort(temp,1);
    for i=1:length(temp(:,1))
        for j=1:length(temp(1,:))
            x_min{1+i,j} = temp2(i,j);
        end
    end
else
    x_min=1;
end
end
