function [analyse] =slack_limit(F_monitor_201,Result,W_water)

[a b] = size(F_monitor_201);
[a1 b1] = size(char(Result.name));

filID=fopen('slack_detected.dat','w');

fprintf(filID,'analyse\ttime\n');
k=0;
for i=1:a
    b=length(Result(i).values.time);
    timestep = Result(i).values.time(2)-Result(i).values.time(1);
    for j=floor(20/timestep):b   %Remove the first 20 seconds     
        if (F_monitor_201(i,j) <= 0.1*W_water)
            k=k+1;
            fprintf(filID,'%s\t%f\n',Result(i).name,Result(i).values.time(j));
            analyse{k} = char(Result(i).name);
        end
    end
end


if (exist('analyse')) == 1
    
    [a b] = size(analyse);
    
    
    filID2=fopen('plot_slac_cases.dat','w');
    formatSpec = '%s\t%d\n';
    
    for i =1:a1
        for j=1:b
            if strcmp(char(Result(i).name),analyse(j)) == 1
                slack{i,1} = char(Result(i).name);
                slack{i,2} = 1;
                break;
            else
                slack{i,1} =char(Result(i).name);
                slack{i,2} = 0;
            end
        end
        fprintf(filID2,formatSpec,slack{i,:});
    end
    fclose(filID2);
    
else
    filID2=fopen('plot_slac_cases.dat','w');
    formatSpec = '%s\t%d\n';
    analyse{1,1} = 'No slac detected';
    slack{1,1} = analyse{1,1};
    fprintf(filID2,formatSpec,slack{1,1});
    fclose(filID2);
end
fclose(filID);

end
