clc; clear all;


function []=read(Result)

direction = '../analysis/';

dummy1 = dir(direction);

dummy2 = char (dummy1.name);

[a b] = size(dummy2);
Foldernames = dummy2(3:a,:);

[a b] = size(Foldernames);

disp('Folders to postprosses')
Foldernames


for i=1:a
    
    dummy3=dir([direction,Foldernames(i,:),'/*.plo']);
    [aa bb] = size(dummy3);
    
    k=0; 
    g=0;
    o=0;
    if exist([direction,Foldernames(i,:),'/',dummy3(1).name]) ==2 %%If there exsist a plot file
        
        for j=1:aa
            dummy4 = load([direction,Foldernames(i,:),'/',dummy3(j).name]);
            
            Result(i).name = Foldernames(i,:);
            
            %saves the time to struct
            Result(i).values.time = dummy4(:,1);
            
            %rules for sorting results
            matchStr1 = regexp(dummy3(j).name,'\wElement_Force','match');
            matchStr2 = regexp(dummy3(j).name,'\wNodal_Displacement','match');
            matchStr3 = regexp(dummy3(j).name,'\wNodal_Velocity','match');
            
            % saves the elemet foce to struct
            if strcmp(matchStr1,'_Element_Force')
                k=k+1;
                c = regexp(dummy3(j).name,'\wElement_Force\w*','match');
                c=char(c);  c(:,1)='';
                
                Result(i).values.forces(k).element= c;
                Result(i).values.forces(k).value= dummy4(:,2);
            end
            
            % saves the nodal diso to struct
            if strcmp(matchStr2,'_Nodal_Displacement')
                g=g+1;
                c = regexp(dummy3(j).name,'\wNodal_Displacement\w*','match');
                c=char(c);  c(:,1)='';
                
                Result(i).values.Displacement(g).element= c;
                Result(i).values.Displacement(g).value= dummy4(:,2);
            end
            
             % saves the nodal vel to struct
            if strcmp(matchStr3,'_Nodal_Velocity')
                o=o+1;
                c = regexp(dummy3(j).name,'\wNodal_Velocity\w*','match');
                c=char(c);  c(:,1)='';
                
                Result(i).values.Velocity(o).element= c;
                Result(i).values.Velocity(o).value= dummy4(:,2);
            end
                  
        end
    else
        disp(['Simulation unstable at',' ',Foldernames(i,:)])
    end
    
end

save('postpro1.mat')

end
